Bug 1768536 - [RHEL 8 docs] FS fails to mount if we lvextend the LV with a new PV with different sector size
Summary: [RHEL 8 docs] FS fails to mount if we lvextend the LV with a new PV with diff...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: lvm2
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 8.2
Assignee: Marek Suchánek
QA Contact: cluster-qe@redhat.com
Marek Suchánek
URL:
Whiteboard:
Depends On: 1669751
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-04 16:32 UTC by Marek Suchánek
Modified: 2021-09-07 11:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.LVM no longer allows creating volume groups with mixed block sizes LVM utilities such as `vgcreate` or `vgextend` no longer allow you to create volume groups (VGs) where the physical volumes (PVs) have different logical block sizes. LVM has adopted this change because file systems fail to mount if you extend the underlying logical volume (LV) with a PV of a different block size. To re-enable creating VGs with mixed block sizes, set the `allow_mixed_block_sizes=1` option in the `lvm.conf` file.
Clone Of: 1669751
Environment:
Last Closed: 2021-05-04 07:30:31 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Comment 8 RHEL Program Management 2021-05-04 07:30:31 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.